| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | List of all members
IG.Lib.ISerializationDtoAux< Type > Interface Template Reference

This interface facilitates use of static helper methods for copying on the SerializationDtoBase class. Contains those methods of ISerializationDto that don't use BaseType. More...

Inheritance diagram for IG.Lib.ISerializationDtoAux< Type >:
[legend]

## Public Member Functions
bool | GetNull ()
| Returns a flag indicating whether the object represented by the current DTO is null. More...
void | SetNull (bool isNull)
| Sets a flag indicating whether the object represented by the current DTO is null. More...
Type | CreateObject ()
| Creates and returns a new object of the type whose data is represented by the current DTO (Data Transfer Object). WARNING: Implement thread locking in overriding functions! More...
void | CopyFrom (Type obj)
| Copies data to the current DTO from an object of type Type. More...
void | CopyTo (ref Type obj)
| Copies data from the current DTO to an object of type Type. Object is created anew if necessary by using the CreateObject() method. More...

## Detailed Description

This interface facilitates use of static helper methods for copying on the SerializationDtoBase class. Contains those methods of ISerializationDto that don't use BaseType.

Template Parameters

  Type |

## Member Function Documentation

bool IG.Lib.ISerializationDtoAux< Type >.GetNull | ( |  | ) |

Returns a flag indicating whether the object represented by the current DTO is null.

Returns
  Flag indicating whether the object represented by the current DTO is null.

Implementing this as a function rather than a property prevents serialization of the flag, since the flag isn't meant to contain data, but to instruct operations that the object represented by the current DTO is null. This is useful in some scenarios where non-null DTOs are needed for null objects.

Implemented in IG.Lib.SerializationDtoBase< Type, BaseType >.

void IG.Lib.ISerializationDtoAux< Type >.SetNull | ( | bool | isNull | ) |

Sets a flag indicating whether the object represented by the current DTO is null.

Parameters

  isNull | If true, this flag indicates that the object represented by the current DTO is null, although the DTO itself is not null.

Implementing this as a function rather than a property prevents serialization of the flag, since the flag isn't meant to contain data, but to instruct operations that the object represented by the current DTO is null. This is useful in some scenarios where non-null DTOs are needed for null objects.

Implemented in IG.Lib.SerializationDtoBase< Type, BaseType >.

Type IG.Lib.ISerializationDtoAux< Type >.CreateObject | ( |  | ) |

Creates and returns a new object of the type whose data is represented by the current DTO (Data Transfer Object). WARNING: Implement thread locking in overriding functions!

Therad locking should be performed in overriding functions!

Implemented in IG.Lib.SerializationDtoBase< Type, BaseType >, IG.Lib.ListDto< ElementType, ElementBaseType, ElementDtoType >, IG.Lib.MatrixDtoBase< MatrixType >, IG.Lib.VectorDtoBase< VectorType >, IG.Lib.BoundingBoxDtoBase< BoxType >, IG.Lib.ArrayDto< ElementType, ElementBaseType, ElementDtoType >, and IG.Lib.IndexListDto.

void IG.Lib.ISerializationDtoAux< Type >.CopyFrom | ( | Type | obj | ) |

Copies data to the current DTO from an object of type Type.

Parameters

  obj | Object whose data is copied to the current DTO.

Implemented in IG.Lib.SerializationDtoBase< Type, BaseType >.

void IG.Lib.ISerializationDtoAux< Type >.CopyTo | ( | ref Type | obj | ) |

Copies data from the current DTO to an object of type Type. Object is created anew if necessary by using the CreateObject() method.

Parameters

  obj | Object to which data is copied.

Implemented in IG.Lib.SerializationDtoBase< Type, BaseType >.

The documentation for this interface was generated from the following file:

- igbase/data/serialization/SerializationDtoBase.cs